### Method

# Gtk SortListModel set_model

#### Declaration [src]

    void
    gtk_sort_list_model_set_model (
      GtkSortListModel* self,
      GListModel* model
    )

#### Description [src]

Sets the model to be sorted.

The `model`‘s item type must conform to the item type of `self`.

Sets property | `Gtk.SortListModel:model`

#### Parameters

`model` | `GListModel*`
| The model to be sorted.
| The argument can be `NULL`.
| The data is owned by the caller of the function.